/*
*
* CwNcAdvanceCostflowMapper.java
* Copyright(C) 2017-2020 DHCC
* @date 2020-05-16
*/
package com.dhcc.finance.main.dao;

import com.dhcc.finance.main.domain.CwNcAdvanceCostflow;
import com.dhcc.finance.main.domain.CwNcAdvanceCostflowExample;
import com.dhcc.finance.main.model.CwNcAdvanceCostflowModel;

import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface CwNcAdvanceCostflowMapper {
    /**
     *
     * @mbg.generated 2020-05-16
     */
    long countByExample(CwNcAdvanceCostflowExample example);

    /**
     *
     * @mbg.generated 2020-05-16
     */
    int deleteByExample(CwNcAdvanceCostflowExample example);

    /**
     *
     * @mbg.generated 2020-05-16
     */
    int deleteByPrimaryKey(String id);

    /**
     *
     * @mbg.generated 2020-05-16
     */
    int insert(CwNcAdvanceCostflow record);
    /**
     * 功能描述：批量新增归还垫付款流水信息
     * @param xbjjFundSubscribeInfos
     * @return int
     * @author likai
     * @date 2020年5月16日 下午5:42:18
     * @修改日志：
     */
    int batchInsertCostflow(@Param("list")List<CwNcAdvanceCostflow> cwNcAdvanceCostflow);

    /**
     *
     * @mbg.generated 2020-05-16
     */
    int insertSelective(CwNcAdvanceCostflow record);

    /**
     *
     * @mbg.generated 2020-05-16
     */
    List<CwNcAdvanceCostflow> selectByExample(CwNcAdvanceCostflowExample example);

    /**
     *
     * @mbg.generated 2020-05-16
     */
    CwNcAdvanceCostflow selectByPrimaryKey(String id);

    /**
     *
     * @mbg.generated 2020-05-16
     */
    int updateByExampleSelective(@Param("record") CwNcAdvanceCostflow record, @Param("example") CwNcAdvanceCostflowExample example);

    /**
     *
     * @mbg.generated 2020-05-16
     */
    int updateByExample(@Param("record") CwNcAdvanceCostflow record, @Param("example") CwNcAdvanceCostflowExample example);

    /**
     *
     * @mbg.generated 2020-05-16
     */
    int updateByPrimaryKeySelective(CwNcAdvanceCostflow record);

    /**
     *
     * @mbg.generated 2020-05-16
     */
    int updateByPrimaryKey(CwNcAdvanceCostflow record);
}